#include "python_headers.h"

#include <cassert>
#include <iostream>
#include <string>
#include <list>

#include "base.h"


using namespace boost;
using namespace boost::python;

class BaseWrapper : public Base, public wrapper<Base>
{
    public:
        typedef class_<BaseWrapper, noncopyable> class_type;
};

BOOST_PYTHON_MODULE(pybase)
{
    BaseWrapper::class_type foo("Base");
    foo.def("setChild", &Base::setChild);
    foo.def("child", &Base::child, return_internal_reference<>());
}

