#this is a test to check if boost.python return the same pyobject for the same C++ object
#this test fail with separated modules but works fine with all objects in the same module

#separated modules
from pybase import *
from pyother import *

#all objects in the same module
#from pymix import *

#a python class used in test1
class test(Other):
    def __init__(self):
        Other.__init__(self)


#In this test we test only with classes exported in boost.python
def test2():
    print "test2"

    #create a class exported in module pyother
    t = Other()

    #create a class exported in module pybase
    o = Base()

    #set base child
    o.setChild(t)

    #get object used in previous function
    c = o.child()

    #compare both object this need be true
    print t
    print c
    print t == c


#in this test we test with a class created in python code "test"
def test1():
    print "test1"
    t = test()
    o = Base()

    o.setChild(t)
    p = o.child()

    print t
    print p
    print t == p

test1()
test2()
