#include "python_headers.h"

#include <memory>
#include <cassert>
#include <iostream>
#include <string>
#include <list>

#include "base.h"
#include "other.h"


using namespace boost;
using namespace boost::python;

class OtherWrapper : public Other, public wrapper<Other>
{
    public:
        typedef class_<OtherWrapper, bases<Base>, noncopyable > class_type;
};

BOOST_PYTHON_MODULE(pyother)
{
    OtherWrapper::class_type other("Other");
}

